DS_F_ELEM_IN_PACKET(3)

FUNCTION
ds_f_elem_in_packet - Search for a named element in a packet, without recursion.

SYNOPSIS
#include <karma_ds.h>

unsigned int ds_f_elem_in_packet

(CONST packet_desc *pack_desc, CONST char *name)

DESCRIPTION
Search for a named element in a packet, without recursion.

pack_desc
    The packet descriptor.

name
    The element name to search for. If this is NULL, then the routine will not find anything.

RETURN VALUE
The number of the element in the packet if it was found, else the number of elements in the packet.

Multi-threading Level
Unsafe.

NOTE
If the specified name occurs twice, the program aborts.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/